### Name: snow-startstop
### Title: Starting and Stopping SNOW Clusters
### Aliases: getMPIcluster makeMPIcluster makePVMcluster makeNWScluster
###   makeSOCKcluster makeCluster stopCluster setDefaultClusterOptions
### Keywords: programming

### ** Examples

  ## Not run: 
##D ## Two workers run on the local machine as a SOCK cluster.
##D cl <- makeCluster(c("localhost","localhost"), type = "SOCK")
##D clusterApply(cl, 1:2, get("+"), 3)
##D stopCluster(cl)
##D ## Another approach to running on the local machine as a SOCK cluster.
##D cl <- makeCluster(2, type = "SOCK")
##D clusterApply(cl, 1:2, get("+"), 3)
##D stopCluster(cl)
##D ## A SOCK cluster with two workers on Mac OS X, two on Linux, and two
##D ## on Windows:
##D macOptions <-
##D     list(host = "owasso",
##D          rscript = "/Library/Frameworks/R.framework/Resources/bin/Rscript",
##D          snowlib = "/Library/Frameworks/R.framework/Resources/library/snow")
##D lnxOptions <-
##D     list(host = "itasca",
##D          rscript = "/usr/lib64/R/bin/Rscript",
##D          snowlib = "/home/luke/tmp/lib")
##D winOptions <-
##D     list(host="192.168.1.168",
##D          rscript="C:/Program Files/R/R-2.7.1/bin/Rscript.exe",
##D          snowlib="C:/Rlibs")
##D cl <- makeCluster(c(rep(macoptions, 2), rep(lnxOptions, 2),
##D   rep(winOptions, 2), type = "SOCK")
##D clusterApply(cl, 1:2, get("+"), 3)
##D stopCluster(cl)
##D   
## End(Not run)



